# WorkerExecutionException

open class WorkerExecutionException : DefaultMultiCauseException

Indicates that a failure occurred during execution of work in a worker.

#### Since

3.5

## Constructors

WorkerExecutionException
Link copied to clipboard
constructor(message: String)
constructor(message: String, causes: Array<Throwable>)
constructor(message: String, causes: Iterable<out Throwable>)

## Properties

cause
Link copied to clipboard
open val cause: Throwable
message
Link copied to clipboard
open val message: @Nullable String
stackTrace
Link copied to clipboard
open var stackTrace: Array<StackTraceElement>

## Functions

addSuppressed
Link copied to clipboard
fun addSuppressed(p: Throwable)
fillInStackTrace
Link copied to clipboard
open fun fillInStackTrace(): Throwable
getCauses
Link copied to clipboard
open fun getCauses(): List<out Throwable>
getLocalizedMessage
Link copied to clipboard
open fun getLocalizedMessage(): String
getResolutions
Link copied to clipboard
open fun getResolutions(): List<String>
getSuppressed
Link copied to clipboard
fun getSuppressed(): Array<Throwable>
hasCause
Link copied to clipboard
open fun hasCause(type: Class<out Any>): Boolean
initCause
Link copied to clipboard
open fun initCause(throwable: Throwable): Throwable
initCauses
Link copied to clipboard
open fun initCauses(causes: Iterable<out Throwable>)
printStackTrace
Link copied to clipboard
open fun printStackTrace(printStream: PrintStream)
toString
Link copied to clipboard
open fun toString(): String